Package fr.gouv.vitam.elastic.kibana.interceptor.rest

# Class InterceptorConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.elastic.kibana.interceptor.rest.InterceptorConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class InterceptorConfiguration extends DbConfigurationImpl
Configuration for interceptor elastic-kibana-interceptor

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterceptorConfiguration()`
  InterceptorConfiguration empty constructor for YAMLFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClusterName()`
  `List<ElasticsearchNode>`
  `getElasticsearchNodes()`
  `List<String>`
  `getWhitelist()`
  `void`
  `setClusterName(String clusterName)`
  `void`
  `setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)`
  `void`
  `setWhitelist(List<String> whitelist)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### InterceptorConfiguration

    public InterceptorConfiguration()
    InterceptorConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getElasticsearchNodes

    public List<ElasticsearchNode> getElasticsearchNodes()

  - ### setElasticsearchNodes

    public void setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)

  - ### getClusterName

    public String getClusterName()

  - ### setClusterName

    public void setClusterName(String clusterName)

  - ### getWhitelist

    public List<String> getWhitelist()

  - ### setWhitelist

    public void setWhitelist(List<String> whitelist)